#include <math.h>

#ifdef CVM_Z_EXP_MISSING
typedef struct
{
    double real;
    double imag;
} c_linkage_complex;


c_linkage_complex z_exp (c_linkage_complex* v)
{
    c_linkage_complex ret;
    const double e = exp (v -> real);

    ret.real = e * cos (v -> imag);
    ret.imag = e * sin (v -> imag);
    return ret;
}
#endif


int floor_ (double* v)
{
    return (int) floor (*v);
}

int ceiling_ (double* v)
{
    return (int) ceil (*v);
}

float tiny_ (float* v)
{
    return 1.1754943508222875e-038F;
}

